SpyBara
Go Premium

resources/videos/methods/get_character/index.md 2026-07-30 23:58 UTC to 2026-07-31 21:03 UTC

This page contains 2 additions and 2 deletions.

2026
Fri 31 21:03

Fetch a character.

get /videos/characters/{character_id}

Fetch a character.

Path Parameters

  • character_id: string

Returns

  • id: string or null

    Identifier for the character creation cameo.

  • created_at: number

    Unix timestamp (in seconds) when the character was created.

  • name: string or null

    Display name for the character.

Example

curl https://api.openai.com/v1/videos/characters/$CHARACTER_ID \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "id",
  "created_at": 0,
  "name": "name"
}